#include <iostream>
#include <string>

using namespace std;

int main()
{
    long long int v,n=0,i,d,p;
    cin>>v;
    int l = to_string(v).length();
    for(l;l>0;l--){
        i=1;
        for(int m=l-1;m--;){
            i*=10;
        }
        p=5*i;
        d=2*i;
        if(p<=v){
            v=v-p;
            n++;
        }
        if(d<=v){
            v=v-d;
            n++;
            if(d<=v){
                v=v-d;
                n++;
            }
        }
        if(i<=v){
            v=v-i;
            n++;
        }
        if(v==0){
            break;
        }
    }
    cout<<n;
    return 0;
}